# 13. Mutacija: sukurti „Ūkį“

Sukurti „Ūkį“.

{% hint style="info" %}
Galima susieti savo „Ūkio" unikalų identifikatorių per `externalKey` atributą. Atributas yra neprivalomas.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija CreateFarmSample {
  createFarm(input:{
    pavadinimas: „Mutacijos ūkis"
    externalKey: "<trečiosios_puses_identifikatorius>"
  } ) {
    uuid
    userUuid
    pavadinimas
    farmOwnership
    externalKey
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/13.-mutacija-sukurti-uki.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
